#
# actions.yaml
#
#
# This file specifies the ordering and layout of actions as they appear
# in user interface elements.
#

# the buddylist right click menu displays the following "common" actions for all buddies:

Contact:

    - call: buddy_info
      name: '&Buddy Info'

    - call: chat
      name: "&Send IM"

    - call: send_file
      name: 'Send &File'

    - call: send_email
      name: 'Send &Email'

    - call: send_sms
      name: 'Send &SMS'

    - ---------

    - call: view_past_chats
      name: '&View Past Chats'

    - call: edit_alerts
      name: '&Alert Me When...'

    - ---------

    - call: rename_gui
      name: 'Re&name'

    - call: block
      name: Bl&ock
      gui:  gui.protocols.block_buddy

    - call: unblock
      name: Unbl&ock

    - call: remove
      name: "&Delete"
      gui:  gui.protocols.remove_contact

# service specific actions

YahooContact:

    - --------------------------

    - call: view_past_chats
      name: '&View Past Chats'

    - call: block
      name: Bl&ock
      gui:  gui.protocols.block_buddy

    - call: unblock
      name: Unbl&ock

    - method: gui.buddylist.buddylistmenu.yahoo_buddy_menu

OscarContact:

    #- --------------------------

    - call: view_past_chats
      name: '&View Past Chats'

    - call: block
      name: Bl&ock
      gui:  gui.protocols.block_buddy

    - call: unblock
      name: Unbl&ock


    #- call: direct_connect
    #  name: '&Share Pictures'

JabberContact:

    - --------------------------

    - call: view_past_chats
      name: '&View Past Chats'

    - method: gui.buddylist.buddylistmenu.jabber_buddy_menu

    - call: subscribed
      name: Resend authorization

    - call: subscribe
      name: "Re-request authorization"

    - call: unsubscribed
      name: "Remove authorization"

MSNContact:

    - call: view_past_chats
      name: '&View Past Chats'

    - call: block
      name: Bl&ock
      gui:  gui.protocols.block_buddy

    - call: unblock
      name: Unbl&ock


MetaContact:

    - call: buddy_info
      name: '&Buddy Info'

    - call: chat
      name: "&Send IM"

    - call: send_file
      name: 'Send &File'

    - call: send_email
      name: 'Send &Email'

    - call: send_sms
      name: 'Send &SMS'

    - ---------

    - call: edit_alerts
      name: '&Alert Me When...'

    - ---------

    - call: rename_gui
      name: 'Re&name && Rearrange...'

    - call: explode
      name: 'Split Merged Contact...'

    - ----------------

    - method: gui.buddylist.buddylistmenu.metacontact_buddy_menu

DGroup:

    - method: gui.addcontactdialog.groupaddcontact

    - call: rename_gui
      name: "&Rename Group"

    - call: delete
      name: '&Delete Group'
      gui:  gui.protocols.remove_group

    - call: add_group
      name: 'Add &Group'

Protocol:

    - call: Connect
      name: '&Connect'

    - call: Disconnect
      name: '&Disconnect'

OscarProtocol:

    - call: format_screenname
      name: '&Format Screen Name'
      gui: gui.protocols.oscargui.format_screenname

    - call: set_account_email
      name: '&Update Email Address'
      gui: gui.protocols.oscargui.set_account_email

    - call: request_account_confirm
      name: '&Confirm Account'

    - call: change_password
      name: 'Change &Password (URL)'

    - call: im_forwarding
      name: '&IM Forwarding (URL)'

    - call: aol_alerts
      name: '&AOL Alerts (URL)'

    - call: my_icq_page
      name: '&My Page on ICQ.com (URL)'

JabberProtocol:

#    - call: join_chat
#      name: 'Join Chat Room'

#    - call: edit_vcard
#      name: 'Edit VCard'

    - call: set_priority
      name: 'Set Priority'
      gui: gui.protocols.jabbergui.set_priority

#    - call: view_vcard
#      name: 'X-Lookup a vCard (?)'

#    - call: xml_console
#      name: 'X-XML Console'

#    - call: service_discovery
#      name: 'X-Service Discovery'

#    - call: server_info
#      name: 'X-Server Info'

    - call: change_password
      name: 'Change &Password'
      gui: gui.protocols.jabbergui.PasswordChangeDialog

    - call: xml_console
      name: '&XML Console'


MSNClient:

    - call: search_for_contact
      name: '&Search for a Contact'

    - call: address_book
      name: 'Address Book'

    - call: mobile_settings
      name: 'Mobile Settings'

    - call: my_profile
      name: 'My Account'

#    - call: save_contact_list
#      name: 'Save Contact List (?)'

#    - call: load_contact_list
#      name: 'Load Contact List (?)'

YahooProtocol:

#    - call: go_mobile
#      name: 'Sign in to Mobile Device'

#    - call: send_contact_details
#      name: 'X-Send My Contact Details'

#    - call: send_messenger_list
#      name: 'X-Send My Messenger List'

    - call: my_account_info
      name: 'My Account Info (URL)'

    - call: my_web_profile
      name: 'My Web Profile (URL)'
      
FacebookChat:
    - call: _update
      name: 'Update presence'

EmailAccount:
    - call: OnClickInboxURL
      name: "&Open Inbox"

    - call: OnComposeEmail
      name: 'C&ompose...'

    - ------------------------

    - call: update_now
      name: '&Check Now'

    - call: tell_me_again
      name: '&Tell Me Again'

AOLMail:
    - call: open
      name: '&Open'
    - call: markAsRead
      name: 'Mark as &Read'
    - call: archive
      name: '&Archive'
    - call: delete
      name: '&Delete'
    - call: reportSpam
      name: 'Report &Spam'

Gmail:
    - call: open
      name: '&Open'
    - call: markAsRead
      name: 'Mark as &Read'
    - call: archive
      name: '&Archive'
    - call: delete
      name: '&Delete'
    - call: reportSpam
      name: 'Report &Spam'

Hotmail:
    - call: open
      name: '&Open'
    - call: markAsRead
      name: 'Mark as &Read'
    - call: delete
      name: '&Delete'
    - call: reportSpam
      name: 'Report &Spam'


IMAPMail:
    - call: open
      name: '&Open'
    - call: markAsRead
      name: 'Mark as &Read'
    - call: delete
      name: '&Delete'

PopMail:
    - call: open
      name: '&Open'
    - call: delete
      name: '&Delete'

YahooMail:
    - call: open
      name: '&Open'
    - call: markAsRead
      name: 'Mark as &Read'
    - call: delete
      name: '&Delete'
    - call: reportSpam
      name: 'Report &Spam'

Facebook:
    - call: update_now
      name: '&Update Now'
    - call: Connect
      name: '&Update Now'
    - call: OpenHome
      name: '&Home'
    - call: OpenProfile
      name: 'Pro&file'
    - call: OpenFriends
      name: '&Friends'
    - call: OpenPhotos
      name: '&Photos'
    - call: OpenMessages
      name: '&Messages'
    - ------------------------
    - call: edit_status
      name: '&Set Status'


Myspace:
    - call: update_now
      name: '&Update Now'

    - call: OpenHome
      name: '&Home'

    - call: OpenProfile
      name: '&Profile'

    - call: OpenMail
      name: '&Inbox'

    - call: OpenFriends
      name: '&Friends'

    - call: OpenBlog
      name: '&Blog'

    - call: OpenBulletins
      name: 'B&ulletins'

Twitter:
    - call: update
      name: '&Check Now'

    - call: reset_tweets
      name: 'Reset All Tweets'

    - call: reset_tab_times
      name: 'Reset Tab Times'

    - call: set_all_dirty
      name: 'Rebuild All Tabs'

    - call: new_tweet
      name: 'New Tweet'
